<div>

  <ion-label [style.margin-bottom]="'10px'" position="fixed">
    Selection:
  </ion-label>
  <ion-item lines=none>
    <div class="categoryChainContainer">
      <div *ngIf="selectionChain.length === 0">
        <app-category-box class="hoverPointer" [category]=defaultCategory>
        </app-category-box>
      </div>
      <div *ngFor="let categoryNode of selectionChain; first as isFirst">
        <ion-icon *ngIf="!isFirst" name="caret-forward"></ion-icon>
        <app-category-box class="hoverPointer" iconName="close" [category]=categoryNode (click)="deselect(categoryNode);">
        </app-category-box>
      </div>
    </div>
  </ion-item>

  <ion-label [style.margin-bottom]="'10px'" position="fixed" *ngIf="options.length !== 0">
    Options:
  </ion-label>
  <ion-item lines=none>
    <div class="categoryOptionsContainer" *ngIf="options.length !== 0">
      <app-category-box class="hoverPointer" *ngFor="let categoryNode of options" [category]=categoryNode
        (click)="select(categoryNode);">
      </app-category-box>
    </div>
  </ion-item>
  <ion-item lines=none *ngIf="!hideManageCategories">
    <ion-button slot=start fill=clear (click)="navigateCategoryManagement();">Manage categories</ion-button>
  </ion-item>
</div>
